Upgrade php7.0-fpm impossible

mise-à-jour
php
php-fpm
Tags: #<Tag:0x00007fdf39677328> #<Tag:0x00007fdf39676a68> #<Tag:0x00007fdf396764c8>

#1

Bonjour à tous,

Sous Debian 9, Voulant upgrader php7.0-fpm ver php7.3-fpm j’obtiens les messages suivants:

    root@kmcs:~# dpkg -l php7.3-fpm
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom              Version       Architecture  Description
+++-================-=============-=============-=====================================
rc  php7.3-fpm       7.3.1-1       amd64         server-side, HTML-embedded scripting 
root@kmcs:~# apt-get install php7.3-fpm
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet php7.3-fpm n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « php7.3-fpm » n'a pas de version susceptible d'être installée

#2

Il faut passer à la version supérieur de Debian, la dixième version nommée buster pour pouvoir utiliser php7.3-fpm :
https://packages.debian.org/search?suite=all&section=all&arch=any&searchon=names&keywords=php-fpm


#3

Où d’effectuer de l’étiquetage des paquets nécessaire actuellement disponible en Buster.


#4

Même pas upgrader à la version php7.1-fpm ?

:sweat_smile:

Le site est en production et je ne souhaite pas engager l’upgrade de tout le serveur maintenant. Stretch est toujours la stable ? Jusqu’à quand ?


#5

Je crois que c’est le meilleur lien d’ici à donner pour le savoir.
Ceci dit, je ne sais pas vraiment en interpréter les informations.

https://www.debian.org/releases/

La prochaine version de Debian a pour nom de code Buster — aucune date de sortie n’a été fixée

Une question récurrente est de savoir s’il existe un indicateur sur l’état du processus de création de cette version. Malheureusement, il n’y en a pas, mais voici des liens qui indiquent les problèmes à régler avant que la distribution ne puisse voir le jour :

D’autre part, des comptes-rendus sont postés sur la liste de diffusion debian-devel-announce
par le responsable de la publication.


#6

Afin de mieux cerner ce qui bloque la release de Debian Buster il suffit de chercher :

https://udd.debian.org/bugs/?release=buster&merged=ign&fnewerval=7&flastmodval=7&rc=1&sortby=id&sorto=asc&format=html#results

Donc dernier chiffre 139 beug bloquant.

ce a quoi j’avais répondu :


#7

Salut,
Moi j’ai le 7.3 avec le repo sury sur debian 9.8

https://packages.sury.org/php/README.txt


#8

Idem.
J’ai installé la version 7.3 sur mon serveur il y a quelques semaines et j’ai indiqué la marche à suivre ici :

C’est le dernier post